@ECHO OFF

ECHO 
ECHO  4.BAT v1.0 
ECHO 

REM  This line below is used for when Duke3D crashes while in 4.BAT.
REM  It restores the proper names of the CON files.

   IF NOT EXIST MAP\NUL MD MAP
   IF EXIST USER_CON.TMP GOTO FIXUSERCON
   IF EXIST USER_CTI.CON GOTO FIXUSERCUSCON
   IF EXIST 4THREICH.MAP MOVE 4THREICH.MAP MAP\4THREICH.MAP
   IF EXIST 4THREICH.CON MOVE 4THREICH.CON MAP\4THREICH.USR
   IF EXIST MAP\4THREICH.CON RENAME MAP\4THREICH.CON MAP\4THREICH.USR
   IF NOT EXIST MAP\4THREICH.MAP GOTO NOMAPFILE
   IF NOT EXIST MAP\4THREICH.USR GOTO NOCONFILE

   IF "%1"=="1" GOTO RUNNORMALSKILL
   IF "%1"=="2" GOTO RUNNORMALSKILL
   IF "%1"=="3" GOTO RUNNORMALSKILL
   IF "%1"=="4" GOTO RUNNORMALSKILL
   IF "%1"=="D" GOTO DUKEMATCH
   IF "%1"=="d" GOTO DUKEMATCH
   IF "%1"=="C" GOTO NOCUS
   IF "%1"=="c" GOTO NOCUS
   IF "%1"=="?" GOTO HELPCMD
   IF "%1"=="/?" GOTO HELPCMD

:RUNGAME
   ECHO Normal startup.
   ECHO 
   ECHO This level is built for Duke Nukem 3D version 1.4+ (Atomic Edition).
   ECHO It will NOT run correctly under version 1.3d or earlier!!
   ECHO 
   ECHO If the game crashes while in 4.BAT, please re-run this batchfile
   ECHO after the computer is reset, and it will fix the CON files.
   ECHO 
   PAUSE
   ECHO 
   RENAME USER.CON USER_CON.TMP
   MOVE MAP\4THREICH.USR USER.CON
   IF EXIST DEMO1.DMO RENAME DEMO1.DMO 4THTEMP.DMO
   IF EXIST MAP\4THREICH.DMO COPY MAP\4THREICH.DMO DEMO1.DMO /y
                         
   DUKE3D %1 %2 %3 %4 %5 %6 %7 %8 %9

   IF EXIST DEMO1.DMO DEL DEMO1.DMO
   IF EXIST 4THTEMP.DMO RENAME 4THTEMP.DMO DEMO1.DMO
   MOVE USER.CON MAP\4THREICH.USR
   RENAME USER_CON.TMP USER.CON
   ECHO 
   ECHO Normal shutdown.
   ECHO 
   GOTO END


:FIXUSERCON
   ECHO Maintenance startup.
   ECHO 
   IF NOT EXIST USER.CON GOTO ERRORCON
   MOVE USER.CON MAP\4THREICH.CON
   RENAME USER_CON.TMP USER.CON
   ECHO USER.CON files fixed.  4.BAT and Duke3D will now run normally.
   ECHO 
   GOTO END

:FIXUSERCUSCON
   ECHO Maintenance startup.
   ECHO 
   IF NOT EXIST USER.CON GOTO ERRORCON
   RENAME USER.CON USER_CUS.CON
   RENAME USER_CTI.CON USER.CON
   ECHO USER.CON files fixed.  4.BAT and Duke3D will now run normally.
   ECHO 
   GOTO END


:ERRORCON
   ECHO No USER.CON exists - 4.BAT attempted to fix the names of your and
   ECHO its CON files but could not find the file that is supposed to be
   ECHO 4THREICH.CON renamed to USER.CON.  Please reinstall Fourth Reich
   ECHO and reinstall your own USER.CON file.
   ECHO 
   GOTO END

:NOCUS
   ECHO You must select a skill level before the C.  Type "4 ?" for help.
   ECHO 
   GOTO END


:RUNNORMALSKILL
   IF "%2"=="C" GOTO USERCUSCON
   IF "%2"=="c" GOTO USERCUSCON
   IF "%1"=="1" ECHO Running with normal USER.CON under Kinderspielen Mode.
   IF "%1"=="2" ECHO Running with normal USER.CON under Wieberkriegen Mode.
   IF "%1"=="3" ECHO Running with normal USER.CON under Arschkicken Mode.
   IF "%1"=="4" ECHO Running with normal USER.CON under Nazificken Mode.
   ECHO 
   DUKE3D -map MAP\4THREICH.map /s%1 %2 %3 %4 %5 %6 %7 %8 %9
   GOTO END

:USERCUSCON
   IF NOT EXIST USER_CUS.CON COPY USER.CON USER_CUS.CON
   RENAME USER.CON USER_CTI.CON
   RENAME USER_CUS.CON USER.CON

   IF "%1"=="1" ECHO Running with USER_CUS.CON under Kinderspielen Mode.
   IF "%1"=="2" ECHO Running with USER_CUS.CON under Wieberkriegen Mode.
   IF "%1"=="3" ECHO Running with USER_CUS.CON under Arschkicken Mode.
   IF "%1"=="4" ECHO Running with USER_CUS.CON under Nazificken Mode.
   ECHO 
   ECHO If the game crashes while in 4.BAT, please re-run this batchfile
   ECHO after the computer is reset, and it will fix the CON files.
   ECHO 
   PAUSE
   ECHO 
   DUKE3D -map MAP\4THREICH.map /s%1 %2 %3 %4 %5 %6 %7 %8 %9

   RENAME USER.CON USER_CUS.CON
   RENAME USER_CTI.CON USER.CON

   GOTO END


:NOMAPFILE
   ECHO 4THREICH.MAP not found in MAP directory!  Please reinstall Fourth Reich.
   ECHO 
   GOTO END

:NOCONFILE
   ECHO 4THREICH.USR not found in MAP directory!  Please reinstall Fourth Reich.
   ECHO 
   GOTO END

:DUKEMATCH
   IF "%2"=="c" GOTO DUKECUS
   IF "%2"=="C" GOTO DUKECUS

   ECHO Multiplayer startup.
   ECHO 
   ECHO This level is built for Duke Nukem 3D version 1.4+ (Atomic Edition).
   ECHO It will NOT run correctly under version 1.3d or earlier!!  Press
   ECHO CTRL+BREAK to abort.
   ECHO 
   ECHO If the game crashes while in 4.BAT, please re-run this batchfile
   ECHO after the computer is reset, and it will fix the CON files.
   ECHO 
   ECHO Now running SETUP to start a Dukematch or Co-Op game.  Make sure you
   ECHO select 4THREICH.MAP as your usermap, and then start in any episode.
   ECHO 
   PAUSE
   ECHO 
   RENAME USER.CON USER_TMP.CON
   MOVE MAP\4THREICH.USR USER.CON
                         
   SETUP %1 %2 %3 %4 %5 %6 %7 %8 %9

   MOVE USER.CON MAP\4THREICH.USR
   RENAME USER_TMP.CON USER.CON
   GOTO END


:DUKECUS
   ECHO Multiplayer startup using USER_CUS.CON.  Please make sure all players
   ECHO are using the exact same USER_CUS.CON file.
   ECHO 
   ECHO This level is built for Duke Nukem 3D version 1.4+ (Atomic Edition).
   ECHO It will NOT run correctly under version 1.3d or earlier!!  Press
   ECHO CTRL+BREAK to abort.
   ECHO 
   ECHO If the game crashes while in 4.BAT, please re-run this batchfile
   ECHO after the computer is reset, and it will fix the CON files.
   ECHO 
   ECHO Now running SETUP to start a Dukematch or Co-Op game.  Make sure you
   ECHO select 4THREICH.MAP as your usermap, and then start in any episode.
   ECHO 
   PAUSE
   ECHO 
   IF NOT EXIST USER_CUS.CON COPY USER.CON USER_CUS.CON
   RENAME USER.CON USER_CTI.CON
   RENAME USER_CUS.CON USER.CON
                         
   SETUP %1 %2 %3 %4 %5 %6 %7 %8 %9

   RENAME USER.CON USER_CUS.CON
   RENAME USER_CTI.CON USER.CON
   GOTO END



:HELPCMD
   ECHO This level will only work with Duke Nukem 3D Atomic Edition versions 1.4+!
   ECHO 
   ECHO  Usage:  4 {1234d} {c} {game parameters}
   ECHO 
   ECHO Parameters in {braces} are optional.  Running with NO parameters
   ECHO starts a normal Fourth Reich game (recommended).  Game parameters
   ECHO are those parameters which DUKE3D.EXE uses, and must come AFTER the
   ECHO 4.BAT parameters.
   ECHO 
   ECHO Command line parameters for 4.BAT:
   ECHO   1  - Run Fourth Reich in Kinderspielen Mode (difficult)
   ECHO   2  - Run Fourth Reich in Wieberkriegen Mode (really difficult)
   ECHO   3  - Run Fourth Reich in Arschkicken Mode (ludicrous)
   ECHO   4  - Run Fourth Reich in Nazificken Mode (suicidal)
   ECHO   d  - Run Fourth Reich in Multispieler Mode (Serial/Network/Modem)
   ECHO   c  - Run Fourth Reich with USER_CUS.CON, not USER.CON or 4THREICH.USR
   ECHO 
   ECHO If Duke3D should crash while running 4.BAT without parameters, or using
   ECHO the "d" or "c" parameters, then you need to run 4.BAT again without
   ECHO parameters, and it will automatically fix the CON files.
   ECHO 
   PAUSE
   ECHO Fourth Reich and 4.BAT (C) Copr. 1997 the Chaensaw Messiah

:END
   ECHO 
